Subject: bug#52330: Different processor architecture on Apple M1 CPU

From: Jakub Sokołowski <[email-masked]>
Date: Tue, 7 Dec 2021 13:03:08 +0100

Thanks for that. I tried building it on an M1 host using this Nix
derivation adding the patch:

{ pkgs ? import <nixpkgs> { } }:

pkgs.coreutils.overrideAttrs (old: rec {
  patches = old.patches ++ [
    (pkgs.fetchurl {
      url = "
https://lists.gnu.org/archive/html/bug-coreutils/2021-12/txtVcwvzjfMQw.txt";
      sha256 = "0friadh90hdl4h7zzg032nyzrf5x1m0p0k5z8hxzfz53c1dg3i6s";
    })
  ];
})

But it failed during compilation with:

src/uname.c:170:41: error: unknown type name 'MAYBE_UNUSED'
print_element_env (char const *element, MAYBE_UNUSED char const *envvar)
                                        ^
1 error generated.

On Mon, Dec 6, 2021 at 11:41 PM Paul Eggert <[email-masked]> wrote:

> On 12/6/21 06:53, Jakub Sokołowski via GNU coreutils Bug Reports wrote:
> > I've identified an issue with GNU Coreutils uname utility. Specifically
> > with the value it returns for the processor type/architecture(-p). When
> > used on a MacOS with M1 arm64 processor the returned value is amr64, but
> > the default uname utility on MacOS returns arm.
>
> Does the attached patch fix things for you? Unfortunately I don't have
> access to macOS to test it.

-- 
Jakub Grzegorz Sokołowski
Head of Infrastructure at Status
Status.im: jakubgs.eth <https://join.status.im/u/jakubgs.eth>